## Nautilus.PropertiesModel Nautilus.PropertiesModel — Nautilus.PropertiesModel Reference |

## Synopsis

     Nautilus.PropertiesModel extends, gobject.GObject {
      Nautilus.PropertiesModel(title,
                               model);
      set_title(title);
      get_title();
      get_model();
    }

## Ancestry

    +-- gobject.GObject
        +-- Nautilus.PropertiesModel

## Description

A `Nautilus.PropertiesModel` object an model that describes a set of file properties. Extensions can provide `Nautilus.PropertiesModel` objects by registering it in `Nautilus.PropertiesModelProvider`.

## Properties

> "title" | The user-visible name for the set of properties in this model. | Read-Write
> "model" | The `GListModel` containing `Nautilus.PropertyItem` objects. Default value: `[]` | Read-Write-ConstructOnly

## Constructor

    Nautilus.PropertiesModel(title,
                             model);

`title` : | the user-visible name for the set of properties in this model
`model` : | The `GListModel` containing `Nautilus.PropertyItem` objects.

Creates a new `Nautilus.PropertiesModel` object.

## Public Methods

### Nautilus.Menu.set_title

    set_title(title);

`title` : | a new name of this `Nautilus.PropertiesModel`

Sets a new name of this `Nautilus.PropertiesModel`.

### Nautilus.Menu.get_title

    get_title();

Returns the title of this `Nautilus.PropertiesModel`.

### Nautilus.Menu.get_model

    get_model();

Returns a `GListModel` containing `Nautilus.PropertyItem` objects.